/*
Wallpaper Site Script
Manage Reported Wallpapers Script

AJAX management of Wallpaper Site Script Reported Wallpapers
*/

// Image preload

pic1= new Image(24,24); 
pic1.src="images/load.gif"; 
pic2= new Image(24,24); 
pic2.src="images/edit-complete.png"; 
pic3= new Image(24,24); 
pic3.src="images/close.png"; 
pic4= new Image(10,30); 
pic4.src="images/newly_added.png"; 

function DeleteReported(id, type, user) {
	AjaxPost("includes/delete_report.php", "id=" + id + "&type=" + type + "&user=" + user, 
			 function () {
			 	if (type == 1) {
					$('reported-' + id).style.borderColor = '#00b223';
				}
				else {
					$('reported-' + id).style.borderColor = '#b20001';
				}
				
				$('good-report-' + id).innerHTML = '';
				$('bad-report-' + id).innerHTML = '';
    		}
	)
}

function LoadReportedWallpapers(type) {
	$('reported_container').style.opacity = 0.5;
	
	if (type == 1) {
    	var url = "includes/wallpaper_reports_ajax.php?page=" + $('page').value;
	}
	else if (type == 2) {
		var url = "includes/wallpaper_reports_ajax.php?s=" + $('search_box').value;
	}
	else {
		var url = "includes/wallpaper_reports_ajax.php";
		$('search_box').value = 'Search reports';
	}
	
	AjaxPost(url, '', 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
					$('reported_container').innerHTML = xmlHttp.responseText;
					$('reported_container').style.opacity = 1;
					$('load_image').innerHTML = '';
				}
    		}
	)
}

function LoadReportedComments(type) {
	$('reported_container').style.opacity = 0.5;
	
	if (type == 1) {
    	var url = "includes/comment_reports_ajax.php?page=" + $('page').value;
	}
	else if (type == 2) {
		var url = "includes/comment_reports_ajax.php?s=" + $('search_box').value;
	}
	else {
		var url = "includes/comment_reports_ajax.php";
		$('search_box').value = 'Search reports';
	}
	
	AjaxPost(url, '', 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
					$('reported_container').innerHTML = xmlHttp.responseText;
					$('reported_container').style.opacity = 1;
					$('load_image').innerHTML = '';
				}
    		}
	)
}

function clickclear(thisfield, defaulttext) {
	if (thisfield.value == defaulttext) {
		thisfield.value = "";
    }
}
    
function clickrecall(thisfield, defaulttext) {
	if (thisfield.value == "") {
		thisfield.value = defaulttext;
    }
}

function change_location(location) {
	window.location = location
}