<?php
// Global
define("LOGIN", 'Login');
define("NEXT", 'Next');
define("PREVIOUS", 'Previous');
define("WALLPAPER", 'Wallpaper');
define("SUBMIT", 'Submit');
define("DOWNLOAD", 'Download');
define("DATE_UNKNOWN", 'Unknown');
define("UNSPECIFIED", 'Unspecified');

// SITEWIDE MODULES
define("POPULAR_MODULE", 'Popular wallpapers');
define("NEWS_MODULE", 'Latest news');
define("NEWEST_MODULE", 'New');
define("NEWEST_MEMBERS_MODULE", 'Newest members');
define("LINKS_MODULE", 'Links');
define("MORELINKS", 'More links');
define("FEATURED_MODULE", 'Featured Wallpapers');
define("USER_AREA_MODULE", 'Your account');
define("NAVIGATION_MODULE", 'Navigation');
define("RECENTLY_VIEWED_MODULE", 'Recently viewed');
define("NO_RECENTLY_VIEWED", 'None...');
define("CATEGORIES_MODULE", 'Categories');
define("TAGS_MODULE", 'Tags');
define("STATS_MODULE", 'Stats');
define("FAVOURITE_MODULE", 'Your favourites');
define("FAVOURITES_LOG_IN", 'Log-in to save favourites');
define("FAVOURITES_VIEW_ALL", 'View all');

// Search box
define("SEARCH_DEFAULT", 'Search...');

// Pages menu
define("LINKS", 'Links');
define("PAGES_SUBSCRIBE", 'Subscribe');
define("PAGES_SUBMIT", 'Submit wallpaper');

// User area
define("UA_ADMIN", 'Administration');
define("UA_PROFILE", 'Profile');
define("UA_MESSAGES", 'Messages');
define("UA_LOGOUT", 'Log out');
define("UA_LOGIN", 'Login');
define("UA_REGISTER", 'Register');
define("UA_REGISTER_LONG", 'Register new account');
define("UA_UNREGISTERED", 'Register now to upload wallpapers!');

// Homepage
define("HOMEPAGE", 'Homepage');
define("HOME_VIEW_MORE", 'View more');
define("FEATURED_WALLPAPERS", 'Featured wallpapers');
define("NEW_WALLPAPERS", 'New wallpapers');
define("INFO_AND_DOWNLOAD_LINK", 'Info & Download &raquo;');

// Preview wallpaper page
define("WALLPAPER_NAME", 'Name');
define("WALLPAPER_ADDED", 'Date added');
define("WALLPAPER_RATING", 'Overall rating');
define("WALLPAPER_YOUR_RATING", 'Your rating');
define("WALLPAPER_DOWNLOADS", 'Downloads');
define("WALLPAPER_INFO", 'Wallpaper Details');
define("WALLPAPER_COMMENTS", 'Comments');
define("WALLPAPER_FAVOURITE", 'Favourite');
define("WALLPAPER_UNFAVOURITE", 'Unfavourite');
define("WALLPAPER_DESCRIPTION", 'Description');
define("WALLPAPER_SUBMIT_COMMENT", 'Submit comment');
define("WALLPAPER_SUBMITTEDBY", 'Submitted by');

define("WALLPAPER_LOGIN_TO_RATE", 'Login to rate');
define("WALLPAPER_ADD_A_COMMENT", 'Add a comment');
define("WALLPAPER_LOGIN_COMMENT", 'Log-in to add a comment');
define("WALLPAPER_SHARE_MESSAGE", 'Here\'s a desktop background I think you will like');
define("MORE_WALLPAPERS1", 'More'); // More <category> wallpapers
define("MORE_WALLPAPERS2", 'wallpapers'); // More <category> wallpapers

// Category page
define("CATEGORY_NO_WALLPAPERS", 'This category has no wallpapers in it');
define("CATEGORY_SORT_BY", 'Sort options');
define("CATEGORY_NEWEST", 'Newest');
define("CATEGORY_OLDEST", 'Oldest');
define("CATEGORY_AZ", 'A-Z');
define("CATEGORY_ZA", 'Z-A');
define("CATEGORY_RATING", 'Top Rated');
define("CATEGORY", 'Category');
define("CATEGORY_SUBCATS", 'Sub-categories');

// News
define("NEWS", 'News');
define("POSTBY", 'Posted by');

// Member list
define("MEMBER_LIST", 'Member list');
define("ML_USERNAME", 'Username');
define("ML_JOIN_DATE", 'Join date');
define("ML_LOCATION", 'Location');

// User profile
define("PROFILE", 'Profile');
define("PROFILE_RATINGS", 'Wallpaper ratings');
define("PROFILE_COMMENTS", 'Wallpaper comments');
define("PROFILE_EDIT", 'Edit your profile');
define("PROFILE_SEND_MESSAGE", 'Send a message');
define("PROFILE_FAV_WALLPAPERS", "Favourite Wallpapers");
define("PROFILE_UPLOADED_WALLPAPERS", "Uploaded Wallpapers");
define("PROFILE_COMMENTS_HEADER", "'s latest comments");  // Username's latest comments
define("PROFILE_LOCATION", 'Location');
define("PROFILE_BIO", 'Bio');
define("PROFILE_WEBSITE", 'Website');
define("PROFILE_JOINED", 'Joined');
define("PROFILE_NO_INFO", 'No information');
define("PROFILE_NO_FAVS", 'No favourite wallpapers');
define("PROFILE_NO_UPLOADS", 'No wallpapers submitted');
define("PROFILE_NO_COMMENTS", 'hasn\'t left a comment yet!'); // Username hasn't left a comment yet

// Private messages
define("MESSAGES", 'Personal Messages');
define("PM_SUBJECT", 'Subject');
define("PM_FROM", 'From');
define("PM_DATE", 'Date sent');
define("PM_REPLY", 'Reply');
define("PM_SENDER_PROFILE", 'Sender profile');
define("PM_DELETE_MESSAGE", 'Delete message');
define("PM_MARK_UNREAD", 'Mark unread');
define("PM_RETURN", 'Return to Inbox');
define("PM_SENDING", 'Sending message to'); // Sending message to 'username'
define("PM_MESSAGE", 'Message');
define("PM_SEND_MESSAGE", 'Send message');
define("PM_DELETED", 'Message deleted');
define("PM_MAU", 'Message marked as unread');
define("PM_NO_MESSAGES", 'You have no messages');
define("PM_LOGIN", 'Please log-in to view your messages');
define("PM_LOGIN2", 'Please log-in to send a message');
define("PM_NOSUB", 'No subject');
define("PM_USERPROFILE", 'User profile');
define("PM_INBOX", 'Inbox');

// Login page
define("LOGIN_BUTTON", 'Login');
define("LOGIN_USERNAME", 'Username');
define("LOGIN_PASSWORD", 'Password');
define("LOGIN_REMEMBER_ME", 'Keep me logged in');
define("LOGIN_FORGOT_PASSWORD", 'Forgotten your password?');
define("LOGIN_ERROR1", 'You didn\'t enter a username and password');
define("LOGIN_ERROR2", "Could not log you in. Please make sure your username and password are correct and that you have validated your account");

// Register page
define("REGISTER", 'Register');
define("REGISTER_USERNAME", 'Username');
define("REGISTER_EMAIL", 'Your email address');
define("REGISTER_PASSWORD", 'Password');
define("REGISTER_PASSWORD2", 'Retype password');
define("REGISTER_BUTTON", 'Register');
define("REG_ERROR1", 'Please make sure that you have filled in all of the fields');
define("REG_ERROR2", 'You must enter a username');
define("REG_ERROR3", 'You must enter a password');
define("REG_ERROR4", 'Your passwords did not match');
define("REG_ERROR5", 'Your email address has already been used to sign up for another account!');
define("REG_ERROR6", 'Please fix the following errors');
define("REG_ERROR7", 'Sorry, that username is already taken');
define("REG_ERROR8", 'You must enter an email address');

define("REG_EMAIL_SUBJECT", 'Your registration at'); // Your registration at 'site name'
define("REG_EMAIL1", 'Thank you for registering at'); // Thank you for registering at 'site name'
define("REG_EMAIL2", 'To activate your membership please go here'); // Followed by URL
define("EMAIL4", 'A link to activate your account has been sent to your email address');
define("EMAIL5", 'Account registered! You can now log-in!');

// Lost password
define("LOST_PASS", 'Password reset');
define("LP_EMAIL", 'Your email address');
define("LP_BUTTON1", 'Send reset email');
define("LP_EMAIL1", 'This email is a response to your lost password request. If you did not initiate this password reset you should not take any further action');
define("LP_EMAIL2", 'To reset your password please click the following link and enter your new password:');
define("LP_EMAIL_SENT", 'An email has been sent to you that allows you to reset your password');
define("LP_ERROR1", 'Sorry, no account found with that email address');
define("LP_MSG1", 'Please enter your new password');
define("LP_ERROR2", 'Invalid details');
define("LP_SUCCESS", 'Your password has been reset');
define("LP_ERROR3", "Your two passwords didn't match");
define("LP_PASSWORD", 'Password');
define("LP_PASSWORD2", 'Repeat password');
define("LP_BUTTON2", 'Change password');

// Edit profile 
define("EDIT_PROFILE", 'Edit profile');
define("EP_EDIT_AVATAR", 'Edit avatar');
define("EP_AVATAR_UP", 'Upload new avatar image');
define("EP_AVATAR_RESTRICTIONS", 'Images should be in jpeg, png or gif format and no larger than 300x300 pixels');
define("EP_AVATAR_BUTTON", 'Upload avatar');
define("EP_TITLE", 'Edit your info');
define("EP_LOCATION", 'Location');
define("EP_INTERESTS", 'Interests');
define("EP_ABOUT", 'About me');
define("EP_WEBSITE", 'Website');
define("EP_BUTTON", 'Edit profile');
define("PROFILE_UPDATED", 'Your profile has been updated');

define("AV_SUCCESS", 'Avatar successfully uploaded');
define("AV_ERROR1", 'Error: A problem occurred during file upload!');
define("AV_ERROR2", 'Please upload images 300x300 or smaller');
define("AV_ERROR3", 'Please upload images 1mb or smaller');
define("AV_ERROR4", 'Error: Only .jpg/.jpeg, .gif and .png are accepted for upload.');
define("AV_ERROR5", 'Error: No file uploaded');

// Validate signup
define("NO_VALIDATE", 'Your account could not be validated');
define("VALIDATED", 'Your account is active, you can now login');

// Search
define("NO_SEARCH", 'Please type a valid search');
define("NOSEARCH", 'You did not say what you wanted to search for');
define("TOO_MANY", 'Too many results", please extend your search');
define("NORESULTS", 'Sorry, no results');
define("ENTER_SEARCH", 'Please enter a search');
define("SEARCH_BUTTON", 'Search');
define("NOT_RATED", 'N/A');
define("SEARCH_RESULTS", 'Search results for'); // Search results for SEARCH QUERY

// News comments
define("NEWS_COMMENTS", 'News comments');
define("NEWS_COMMENTS2", 'comments');

// TAGS
define("TAG_TITLE", 'Wallpapers tagged as');
define("WALLPAPER_TAGS", 'Tags');
define("NO_TAGS", 'None');

// Referrer
define("REF_PM_TITLE", 'is now on'); // USERNAME is now on SITE NAME
define("REF_PM_MESSAGE", 'has signed up using your referral link. See their profile here'); // USERNAME has signed up...

// Login with Facebook
define("FB_LOGIN", 'Login with Facebook');
define("FB_LOGOUT", 'Logout');
define("FB_REGERROR1", 'Sorry, that username is already in use');
define("FB_REGERROR2", 'Please enter a username');
define("FB_USERNAME", 'New username');
define("FB_REGISTER", 'Login with Facebook');
define("FB_HELLO", 'Hello');
define("FB_INFO", 'All we need is for you to select a username and you\'ll be signed-up and ready to go!');
define("FB_INVALID", 'No facebook login');

// Reports
define("WALLPAPER_REPORT_TITLE", 'Please give a brief description of what is wrong with the wallpaper');
define("COMMENT_REPORT_TITLE", 'Please give a brief description of what is wrong with the comment');
define("WALLPAPER_SUBMIT_REPORT", 'Submit report');
define("WALLPAPER_REPORT", 'Report Wallpaper');
define("WALLPAPER_CLOSE_REPORT", 'Cancel');
define("REPORT", 'Report');

// Page not found
define("PAGE_NOT_FOUND", 'Page not found');
define("PAGE_NOT_FOUND_INFO", 'Sorry, we couldn\'t find anything at the url you entered. The page may have been previously existed but is no longer active.');

// Stats module
define("STATS_WALLPAPERS", 'wallpapers');
define("STATS_PLAYS", 'downloads');
define("STATS_RATINGS", 'wallpapers rated');
define("STATS_NEWS", 'news posts');
define("STATS_COMMENTS", 'comments');
define("STATS_CATEGORIES", 'categories');
define("STATS_MEMBERS", 'members');
define("STATS_USERS_ONLINE", 'users online');

// Submit wallpaper
define("SUBMIT_WALLPAPER", 'Submit wallpaper');
define("SUBMIT_NAME", 'Wallpaper name');
define("SUBMIT_DESC", 'Description');
define("SUBMIT_TAGS", 'Tags');
define("SUBMIT_FILE", 'File');
define("SUBMIT_CAT", 'Category');

define("SUBMIT_SUCCESS", 'Thanks for your submission, feel free to add another below');
define("SUBMIT_E", 'Sorry, a problem occurred during file upload');
// Place "'.$setting['min_upload_width'].'x'.$setting['min_upload_height'].'" within the line below to show the image dimensions
define("SUBMIT_E_DIMENSIONS", 'Please upload images that are at least '.$setting['min_upload_width'].'x'.$setting['min_upload_height'].' or <i>larger</i> in size');
define("SUBMIT_E_SIZE", 'Please upload images 1mb or smaller');
define("SUBMIT_E_FILETYPE", 'Only .jpg/.jpeg, .gif and .png are accepted for upload.');
define("SUBMIT_E_NOFILE", 'Please select a file to upload');
define("SUBMIT_E_NONAME", 'Please enter a name for the wallpaper');
define("SUBMIT_E_NOLOGIN", 'Register or login to submit a wallpaper');

define("SUBMIT_FILE_MESSAGE", 'Please upload the largest image possible that is no smaller than 1024x768');

// NEW IN VERSION 1.1

// General 1.1
define("PREVIEW", 'Preview');
define("SELECT_RESOLUTION", 'Select resolution');
define("OTHER_RES", 'Other resolutions');
define("MORE", 'More');

define("PROFILE_LAST_ACTIVITY", 'Last activity');

define("WALLPAPER_HITS", 'Views');

define("CATEGORY_DOWNLOADS", 'Most Downloads');

// Comment updates
define("COMMENT_WAIT", 'Please wait 60 seconds between comment');
define("COMMENT_ERROR", 'An error occured in sending your comment');
define("ADDING_COMMENT", 'Adding comment');
define("COMMENT_ADDED", 'Comment added');

// All wallpapers category
define("ALL_WALLPAPERS", 'All wallpapers');
define("NEWEST", 'New wallpapers');
define("TOP_RATED", 'Top rated');
define("ALL_WALLPAPERS_DESC", 'All our wallpapers in one place!');

// Link exchange
define("LINK_EXCHANGE", 'Link exchange');
define("LINK_EXCHANGE_INFO", 'Submit your link below and we\'ll generate a unique referral URL for you to add to your site. When we confirm your link is up, we\'ll add yours');
define("LINK_EXCHANGE_STEP2", 'Thanks for your submission. Remember this is a link exchange so you will need to add our link to your site. Below is your unique link that will allow us to track incoming hits from you. Make sure to use it! There\'s a description if you need it.');
define("LINK_EXCHANGE_ERROR", 'Please make sure to fill in all the fields');

define("LINK_EXCHANGE_UL", 'HTML code');

define("LINK_EXCHANGE_ANCHOR", 'Anchor');
define("LINK_EXCHANGE_DESCRIPTION", 'Description');
define("LINK_EXCHANGE_URL", 'URL');
define("LINK_EXCHANGE_EMAIL", 'Email');

define("OUR_FRIENDS", 'Our friends');

// Preview page
define("DOWNLOAD_INFO", 'Or right-click the image to save or set as desktop background');
define("PREVIEW_ERROR", 'Error: No wallpaper selected');

// RSS Feed
define("RSS_MOST_POPULAR", 'Most Popular Wallpapers');
define("RSS_NEWEST", 'Newest Wallpapers');

// Emails
define("EMAIL_GREETING", 'Hi'); // Hi <username>
define("EMAIL_FOOTER", '');

define("EMAIL_MESSAGE_INTRO", 'has sent you a message'); // <username> has added you as a friend
define("EMAIL_OPEN_MESSAGES", 'Message center');

define("EMAIL_PASSWORD_HEADER", 'Password reset request');
define("EMAIL_PASSWORD_INTRO", ', you requested a password reset. If you did not, no further action need to be taken and you can ignore this email.');
define("EMAIL_PASSWORD_IP", 'Request sent from IP');
define("EMAIL_PASSWORD_RESET_LINK", 'Click here to set a new password');

define("EMAIL_REGISTER_HEADER", 'Thanks for registering'); // Thanks for registering <username>
define("EMAIL_REGISTER_INTRO", 'thanks for registering');
define("EMAIL_REGISTER_VINFO", 'You just need to click the link below to activate your account');
define("EMAIL_REGISTER_VALIDATE", 'Validate email address');

// PM links
define("PM_PROFILE1", 'Go to ');
define("PM_PROFILE2", '\'s profile'); // Go to <username>'s profile
define("PM_INBOX_LINK", 'Go to your inbox');
define("PM_MESSAGE_SENT", 'Message sent');

// Admin options
define("EDIT_WALLPAPER", 'Edit wallpaper');
define("DELETE_COMMENT", 'Delete');

?>