<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title><?php echo $wallpaper['name'];?></title>
	<style type="text/css">
		body {
			margin: 0px;
			padding: 0px;
			color: #fff;
		}
		.preview_wallpaper_header {
			font-family: Arial;
			float: left;
			padding-bottom: 15px;
			border-bottom: 2px solid #6388b6;
			padding-top: 8px;
			background: #314758 url("<?php echo $setting['site_url'].$setting['template_url'];?>/images/preview_header_bg.png") repeat-x;
			width: 100%;
		}
		.preview_wallpaper_left {
			float: left;
			padding-left: 10px;
		}
		.preview_wallpaper_right {
			float: left;
			margin-left: 80px;
		}
		.preview_wallpaper_right_short {
			margin-top: 20px;
			text-align: center;
		}
		.preview_wallpaper_name {
			font-size: 22px;
			text-shadow: #000 0px 1px 0px;
		}
		.preview_wallpaper_name a {
			color: #fff;
			text-decoration: none;
		}
		.preview_wallpaper_name a:hover {
			text-decoration: underline;
		}
		.preview_wallpaper_info {
			margin-top: 12px;
			color: #c1d8ec;
			text-shadow: #000 0px 1px 0px;
		}
		.preview_wallpaper_info a {
			-webkit-border-radius:3px;
			-moz-border-radius:3px;
			border-radius:3px;
			border: 1px solid #c8c5cc;
			padding: 5px 10px;
			background: url(<?php echo $setting['site_url'].$setting['template_url'];?>/images/comment_button.png) bottom repeat-x;
			font-size: 14px;
			font-family: Arial;
			color: #333231;
			text-decoration: none;
			margin-right: 8px;
			text-shadow: none;
		}
		.preview_wallpaper_info a:hover {
			border-color: #b1aeaa;
			color: #000;
		}
	</style>
	</head>
	<?php
	if ($width > 570)
		$page_width = $width;
	else
		$page_width = 570;
	?>
	<body><div style="width:<?php echo $page_width;?>px;margin:auto;">
		<div class="preview_wallpaper_header">
			<div class="preview_wallpaper_left">
				<div class="preview_wallpaper_name">
					<?php echo '<a href="'.$wallpaper['url'].'">'.$wallpaper['name'].'</a>'; ?>
				</div>
				<div class="preview_wallpaper_info">
					<a href="<?php echo $wallpaper['download_url'];?>"><?php echo DOWNLOAD;?></a>
					<?php echo DOWNLOAD_INFO;?>
				</div>
			</div>
			<?php if ($width <= '1200') {
				echo '<br style="clear:both" /><div class="preview_wallpaper_right_short">';
			}
			else {
				echo '<div class="preview_wallpaper_right">';
			}
			?>
				<?php advert('advert_8'); ?>
			</div>
		</div>
		<?php $wallpaper['preview'] = $wallpaper['image']; ?>
		<img src="<?php echo $wallpaper['preview'];?>"/>
	</body></div>
</html>
