/*
Wallpaper Site Script
Manage Wallpapers Script

AJAX management of Wallpaper Site Script wallpapers

Written by Andy Venus
*/

// Image preload

pic1= new Image(24,24); 
pic1.src="images/load.gif"; 
pic2= new Image(43,11); 
pic2.src="images/load2.gif"; 
pic2= new Image(24,24); 
pic2.src="images/close.png"; 

function SubmitWallpaper(id) {
	if (urltype == 1 || imgtype == 1) {
        alert('Please make sure you have uploaded the wallpaper and image files before submitting or select a file which has aready been uploaded');
        return
    }

    xmlHttp = GetXmlHttpObject()
    if (xmlHttp == null) {
        alert("Your browser doesn't support AJAX. You should upgrade it!")
        return
    }
    $('submit' + id).style.color = '#999';
    $('submit' + id).value = 'Updating...';

    var url = "includes/wallpaper_submit.php";
    if (urltype[id] == 2) {
        wallpaper_url = $('drop-down' + id).value;
    }
    else {
        wallpaper_url = $('url' + id).value;
    }
    
    if ($('published' + id).checked) {
    	published = 1;
    }
    else {
    	published = 0;
    }
    
    if ($('crop' + id).checked) {
    	display = 'crop';
    }
    else if ($('stretch' + id).checked) {
    	display = 'stretch';
    }
    else if ($('none' + id).checked) {
    	display = 'none';
    }
    else {
    	display = 'original';
    }
    
    if ($('cropleft' + id).checked) {
    	crop = 'left';
    }
    else if ($('cropright' + id).checked) {
    	crop = 'right';
    }
    else {
    	crop = 'center';
    } 
    
    if ($('vcroptop' + id).checked) {
    	vcrop = 'top';
    }
    else if ($('vcropbottom' + id).checked) {
    	vcrop = 'bottom';
    }
    else {
    	vcrop = 'middle';
    }  
       
    wallpapername = encodeURIComponent($('wallpaper_name' + id).value);
    wallpaperdescription = encodeURIComponent($('wallpaper_description' + id).value);
    wallpaper_url = encodeURIComponent(wallpaper_url);
	
	param = "id=" + id + "&filetype=" + urltype[id] + "&wallpaper_name=" + wallpapername + "&wallpaper_description=" + wallpaperdescription + "&wallpaper_url=" + wallpaper_url + "&wallpaper_category=" + $('category' + id).value + "&tags=" + $('wallpaper_tags' + id).value + "&published=" + published + "&submitter=" + $('submitter' + id).value + '&crop=' + crop + '&vcrop=' + vcrop + '&display=' + display + "&homepage=1";
	
	AjaxPost("includes/wallpaper_submit.php", param, 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
					alert(xmlHttp.responseText);
										
					$('wallpaper_name0').value = '';
					$('wallpaper_description0').value = '';
					$('wallpaper_tags0').value = '';
					$('submitter0').value = '';
					$('submit0').style.color = '#fff';
    				$('submit0').value = 'Submit';
				
					file_selector(3, 0, 0);
				
					if (urltype[0] != 2) {
        				$('url0').value = '';
					}
        		}
    		}
	)
}

function grabFile(id, type) {
	if(type == 1) {
		grab_url = $('grab' + id).value;
		$('grab_button' + id).innerHTML = '<img src="images/loader3.gif" />';
	}
	else {
		grab_url = $('grab_image' + id).value;
		$('grab_image_button' + id).innerHTML = '<img src="images/loader3.gif" />';
	}
	AjaxPost('includes/grab_file.php', 'type='+type+'&url='+grab_url, 
		function () {
			if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
				if(type == 1) {
					var filename = $('grab' + id).value.substring($('grab' + id).value.lastIndexOf('/')+1);
					file_selector(2, filename, id);
				}
				else {
					var filename = $('grab_image' + id).value.substring($('grab_image' + id).value.lastIndexOf('/')+1);
					image_selector(2, filename, id);
				}
			}
    	}
	)
}