/*
Wallpaper Site Script
Manage Wallpapers Script

AJAX management of Wallpaper Site Script wallpapers

Written by Andy Venus
*/

// Image preload

pic1= new Image(24,24); 
pic1.src="images/load.gif"; 
pic2= new Image(43,11); 
pic2.src="images/load2.gif"; 
pic2= new Image(24,24); 
pic2.src="images/close.png"; 
pic3= new Image(24,24); 
pic3.src="images/search_end.png"; 
var TIMER;
var pageis;
var storedHash;

function edit_wallpaper(id) {
	$('edit-image-' + id).innerHTML = '<img src="images/load.gif">';
	$('delete-image-' + id).innerHTML = '<img src="images/delete.png" onclick="DeleteAsk(' + id + ');">';
	
	AjaxPost("includes/edit_wallpaper.php", "id=" + id, 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
					$('wallpaper-' + id).style.height = '480px';
            		lol2 = $('edit-wallpaper-' + id);
            		lol2.innerHTML = xmlHttp.responseText;
            		$('edit-image-' + id).innerHTML = '<img src="images/close.png" onclick="close_edit(' + id + ');">';
					urltype[id] = 3;				}
    		}
	)
}

function close_edit(id, c) {
    $('wallpaper-' + id).style.height = '60px';
    lol2 = $('edit-wallpaper-' + id);
    lol2.innerHTML = '';
    if (c == undefined) {
        $('edit-image-' + id).innerHTML = '<img src="images/edit.png" onclick="edit_wallpaper(' + id + ');">';
    } else {
        $('edit-image-' + id).innerHTML = '<img src="images/edit-complete.png" onclick="edit_wallpaper(' + id + ');">';
    }
	urltype[id] = 3;
}

function SubmitWallpaper(id) {
	if (urltype[id] == 1 || urltype[id] == 4) {
        alert('Please make sure you have uploaded the wallpaper file before submitting or select a file which has aready been uploaded');
        return
    }

    $('submit' + id).style.color = '#999';
    $('submit' + id).value = 'Updating...';
    if (id != 0) {
        $('edit-image-' + id).innerHTML = '<img src="images/load.gif">';
    }
	else {
		$('add_icon').innerHTML = '<img src="images/load.gif">';
	}

    if (urltype[id] == 2) {
        wallpaper_url = $('drop-down' + id).value;
    }
    else {
        wallpaper_url = $('url' + id).value;
    }
    
    if ($('published' + id).checked) {
    	published = 1;
    }
    else {
    	published = 0;
    }
    
    if ($('crop' + id).checked) {
    	display = 'crop';
    }
    else if ($('stretch' + id).checked) {
    	display = 'stretch';
    }
    else if ($('none' + id).checked) {
    	display = 'none';
    }
    else {
    	display = 'original';
    }
    
    if ($('cropleft' + id).checked) {
    	crop = 'left';
    }
    else if ($('cropright' + id).checked) {
    	crop = 'right';
    }
    else {
    	crop = 'center';
    }
    
    if ($('vcroptop' + id).checked) {
    	vcrop = 'top';
    }
    else if ($('vcropbottom' + id).checked) {
    	vcrop = 'bottom';
    }
    else {
    	vcrop = 'middle';
    }    
    
    wallpapername = encodeURIComponent($('wallpaper_name' + id).value);
    wallpaperdescription = encodeURIComponent($('wallpaper_description' + id).value);
    wallpaper_url = encodeURIComponent(wallpaper_url);
	
	param = "id=" + id + "&filetype=" + urltype[id] + "&wallpaper_name=" + wallpapername + "&wallpaper_description=" + wallpaperdescription + "&wallpaper_url=" + wallpaper_url + "&wallpaper_category=" + $('category' + id).value + "&tags=" + $('wallpaper_tags' + id).value + "&published=" + published + "&submitter=" + $('submitter' + id).value + '&crop=' + crop + '&vcrop=' + vcrop + '&display=' + display;
	
	AjaxPost("includes/wallpaper_submit.php", param, 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
            		if (id != 0) {
                		$('twallpaper_name' + id).innerHTML = '<a href="../index.php?task=view&id=' + id + '" class="manage_link">' + $('wallpaper_name' + id).value + '</a>';
                		var w = $('category' + id).selectedIndex;
                		var selected_text = $('category' + id).options[w].text;
                		$('tcategory_name' + id).innerHTML = selected_text;
                		close_edit(id, 1);
                		PublishedButton(id, published);
                		var randomnumber=Math.floor(Math.random()*11)
                		$('wallpaper_thumbnail' + id).innerHTML = '<img src="../image.php?id='+id+'&width=89&height=50&cropratio=crop&cropposition='+crop+'&random='+randomnumber+'">';
            		}
           			else {
               			var newdiv = document.createElement('div');
                		newdiv.innerHTML = xmlHttp.responseText;
                		$('wallpapers_container').insertBefore(newdiv, $('thetop').nextSibling);
                		$('add_wallpaper_form').style.display = 'none';
						$('add_icon').innerHTML = '<img src="images/add.png">';
						$('add_box').onclick = ShowAddWallpaper;
				
						$('wallpaper_name0').value = '';
						$('wallpaper_description0').value = '';
						$('wallpaper_tags0').value = '';
						$('published0').checked = true;
						$('submit0').style.color = '#fff';
    					$('submit0').value = 'Submit';
				
						file_selector(3, 0, 0);
				
						if (urltype[0] != 2) {
        					$('url0').value = '';
						}
            		}
        		}
    		}
	)
}

function DeleteAsk(id) {
    $('wallpaper-' + id).style.height = '120px';
 $('edit-wallpaper-' + id).innerHTML = '<div class="form_container"><div class="delete_container"><br><div class="button3"><a href="#" onclick="DeleteWallpaper(' + id + ', 0);return false">Database delete</a></div>&nbsp;&nbsp;&nbsp;<div class="button3"><a href="#" onclick="DeleteWallpaper(' + id + ', 1);return false">File & DB delete</a></div></div></div>';
    $('edit-image-' + id).innerHTML = '<img src="images/edit.png" onclick="edit_wallpaper(' + id + ');">';
    $('delete-image-' + id).innerHTML = '<img src="images/delete.png" onclick="CloseDelete(' + id + ');">';
}

function CloseDelete(id) {
    $('wallpaper-' + id).style.height = '60px';
    $('edit-wallpaper-' + id).innerHTML = '';
    $('delete-image-' + id).innerHTML = '<img src="images/delete.png" onclick="DeleteAsk(' + id + ');">';
}

function doMove(id, height, opacity) {
    if (height > 0) {
        height = (height - 6)
        opacity = opacity - 0.08
        $('wallpaper-' + id).style.height = height + 'px';
        $('wallpaper-' + id).style.opacity = opacity;

        setTimeout('doMove(' + id + ', ' + height + ', ' + opacity + ')', 10); // call doMove() in 20 msec
    }
    else {
        $('wallpaper-' + id).style.display = 'none';
    }

}

function DeleteWallpaper(id, files) {
	AjaxPost("includes/delete_wallpaper.php", "id=" + id + "&files=" + files, 
			 function () {
					doMove(id, 120, 1);
    		}
	)
}

function ShowAddWallpaper() {
    $('add_wallpaper_form').style.display = 'inline';
	$('add_box').onclick = CloseAddWallpaper;
	$('add_icon').innerHTML = '<img src="images/delete.png">';
}

function CloseAddWallpaper() {
	$('add_wallpaper_form').style.display = 'none';
	$('add_box').onclick = ShowAddWallpaper;
	$('add_icon').innerHTML = '<img src="images/add.png">';
}

function GetDimensions(id) {
	if (urltype[id] == 3) {
		file = $('url' + id).value
	}
	else {
		file = $('drop-down' + id).value;
	}
	
	AjaxPost("includes/dimensions.php", "file=" + file + "&type=" + urltype[id], 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
					var p = eval("(" + xmlHttp.responseText + ")");
					$('width' + id).value = p.width;
					$('height' + id).value = p.height;
				}
    		}
	)
}

function clickclear(thisfield) {
	if (thisfield.value.indexOf("Search") != -1) {
		thisfield.value = "";
		$('search_box').style.color = '#3e3e3e';
		$('search_clear').src = 'images/search_end.png';
    }
}
    
function clickrecall(thisfield) {
	if (thisfield.value == "") {
		$('search_box').value = 'Search '+ $('category_filter')[$('category_filter').selectedIndex].innerHTML;
		$('search_box').style.color = '#949494';
		$('search_clear').src = 'images/search_end_empty.png';
    }
}

function clearsearch() {
	$('search_box').value = 'Search '+ $('category_filter')[$('category_filter').selectedIndex].innerHTML;
	$('search_box').style.color = '#949494';
	$('search_clear').src = 'images/search_end_empty.png';
	goTo(1);
}

function goTo(page, scroll) {
	if ($('search_box').value.indexOf("Search") != -1) {
		search = '';
	}
	else {
		search = '&search='+$('search_box').value;
	}
	location.hash = 'page='+page+'&cat='+$('category_filter').value+search;
	if (scroll == 1) {
		window.scrollTo(0, 270);
	}
}

function LoadWallpapers() {
	$('load_image').innerHTML = '<img src="images/load2.gif">';
	
	if (hashvalues['id'] == undefined) {
	
		var url = "includes/manage_wallpapers_ajax.php?page=" + hashvalues['page'] + '&cat=' + hashvalues['cat'];

		$('category_filter').value = hashvalues['cat'];
		$('page').value = hashvalues['page'];
	
		if (hashvalues['search'] != undefined) {
			var url = url+"&s=" + hashvalues['search'];
			$('search_box').value = hashvalues['search'];
		}
		else {
			if (hashvalues['cat'] == 'All') {
				$('search_box').value = 'Search All Wallpapers';
			}
			else {
				$('search_box').value = 'Search '+ $('category_filter')[$('category_filter').selectedIndex].innerHTML;
			}
		}
	}
	else {
		var url = "includes/manage_wallpapers_ajax.php?id="+hashvalues['id'];
	}
	
	AjaxPost(url, '', 
			 function () {
				if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
					$('wallpapers_container').innerHTML = xmlHttp.responseText;
					$('wallpapers_container').style.opacity = 1;
					$('load_image').innerHTML = '';
				}
    		}
	)
}

function searchTimer() {
  if (TIMER) {
   clearTimeout(TIMER);
 }
 TIMER = setTimeout("goTo(1)", 300);
}

function FeatureWallpaper(id, on) {
	
	if (on == 1) {
		$('feature_icon' + id).innerHTML = '<img src="images/feature_on.png" onclick="FeatureWallpaper('+id+');">';
	}
	else {
		$('feature_icon' + id).innerHTML = '<img src="images/feature.png" onclick="FeatureWallpaper('+id+', 1);">';
	}
	
	AjaxPost('includes/feature_wallpaper.php', 'id='+id, 
			 function () {
    		}
	)
}

function grabFile(id, type) {
	if(type == 1) {
		grab_url = $('grab' + id).value;
		$('grab_button' + id).innerHTML = '<img src="images/loader3.gif" />';
	}
	else {
		grab_url = $('grab_image' + id).value;
		$('grab_image_button' + id).innerHTML = '<img src="images/loader3.gif" />';
	}
	AjaxPost('includes/grab_file.php', 'type='+type+'&url='+grab_url, 
		function () {
			if (xmlHttp.readyState == 4 || xmlHttp.readyState == "complete") {
				if(type == 1) {
					var filename = $('grab' + id).value.substring($('grab' + id).value.lastIndexOf('/')+1);
					file_selector(2, filename, id);
				}
				else {
					var filename = $('grab_image' + id).value.substring($('grab_image' + id).value.lastIndexOf('/')+1);
					image_selector(2, filename, id);
				}
			}
    	}
	)
}

function getFileName(url){
  var path = window.location.pathName;
  var file = path.replace(/^.*\/(\w{2})\.html$/i, "$1");
  return file ? file : "undefined";
}

function TogglePublished(id, value) {
	AjaxPost("includes/publish_wallpaper.php", "id=" + id + "&value=" + value, 
			 function () {
			 	PublishedButton(id, value);
    		}
	)
}

function PublishedButton(id, value) {
	if (value == 0) {
		newvalue = 1;
		image = 'unpublished';
	}
	else {
		newvalue = 0;
		image = 'published';
	}
	$('published-image-'+id).innerHTML = '<img src="images/'+image+'.png" width="24" height="24" onclick="TogglePublished('+id+', '+newvalue+');">';		
}


// Load the correct wallpapers from the hash values
function usehashvalues(hash) {
	if (location.href.indexOf("#") != -1) {
        
        gethashvalues(hash);
			
		LoadWallpapers();
    }
}
// On page load get hash values and display correct wallpapers
function pageloadcheck() {
	
	gethashvalues(window.location.hash);
	
	LoadWallpapers();

}