<?php 
$i = 1;
if($wallpaper['display'] != 'original') { 

$resolutions = array (
	"4:3"=>array (
		"1600x1200" => "1600x1200",
		"1400x1050" => "1400x1050",
		"1280x960" => "1280x960",
		"1024x768" => "1024x768",
		"800x600" => "800x600"
	),
	"16:9"=>array (
		"2560x1440" => "2560x1440",
		"1920x1080" => "1920x1080 (1080p)",
		"1600x900" => "1600x900",
		"1280x720" => "1280x720 (720p)"
	),
	"16:10"=>array (
		"2560x1600" => "2560x1600",
		"1920x1200" => "1920x1200",
		"1680x1050" => "1680x1050",
		"1440x900" => "1440x900",
		"1280x800" => "1280x800"
	),
	"Apple"=>array (
		"1024x1024" => "1024x1024 iPad",
		"640x960" => "640x960 iPhone 4",
		"320x480" => "320x480 iPhone/iPod Touch"
	),
	"Blackberry"=>array (
		"360x480" => "360x480",
		"320x240" => "320x240"
	),
	"Google Android"=>array (
		"1080x960" => "1080x960",
		"960x854" => "960x854",
		"960x800" => "960x800",
		"640x480" => "640x480"
	),
	"Netbook"=>array (
		"1366x768" => "1366x768",
		"1024x600" => "1024x600",
		"800x480" => "800x480"
	),
	OTHER_RES=>array (
		"480x272" => "480x272 PSP"
	),
	"Windows Phone 7"=>array (
		"480x800" => "480x800"
	)
);

$z = 'list';
if ($setting['resolutions_display'] == 'dropdown') {
	echo '<select class="select" id="resolution" name="resolution">
	<option value="">'.SELECT_RESOLUTION.':</option>';
	foreach ($resolutions as $ckey => $category) {
		echo '<optgroup label="'.$ckey.'"> ';
		foreach ($resolutions[$ckey] as $rkey => $resolution) {
  			echo '<option value="'.$rkey.'">'.$resolution.'</option>';
  		}
  	}
	echo '</select>
	
	<script type="text/javascript">
		setScreenRes(\'dd\');
	</script>

	<input type="button" value="'.PREVIEW.'" onclick="getWallpaper('.$wallpaper['id'].", '".$row2['seo_url']."', '".$row2['display']."', 'preview')\" />".' 
	<input type="button" value="'.DOWNLOAD.'" onclick="getWallpaper('.$wallpaper['id'].", '".$row2['seo_url']."', '".$row2['display']."', 'download')\" />";
}
else {
	echo '<div class="resolutions_list_container">
	<div class="resolutions_list_header">'.SELECT_RESOLUTION.'</div>
	<div class="resolutions_row">';
	foreach ($resolutions as $ckey => $category) {
		echo '<div class="resolution_category"><div class="resolution_title">'.$ckey.'</div>';
		foreach ($resolutions[$ckey] as $rkey => $resolution) {
			$dimensions = explode('x', $rkey);
			if ($setting['show_all_resolutions'] == 1 || ($dimensions[0] <= $wallpaper['original_width'] && $dimensions[1] <= $wallpaper['original_height'])) {
  				echo '<div class="resolution_item"><a id="resolution_link_'.$rkey.'" href="'.PreviewUrl($rkey).'" target="_blank" onclick="countDownload('.$id.');">'.$resolution.'</a></div>';
  			}
  		}
  		echo '</div>';
  		
  		if ($i == 6) {
  			echo '</div><div class="resolutions_row">';
  			$i = 1;
  		}
  	}
  	echo '</div></div>
  	
  	<script type="text/javascript">
		setScreenRes(\'list\');
	</script>';
}
?>
            
<?php } else { ?>
<div class="original_download_container">
	<a class="original_download_button" href="<?php echo $setting['site_url'].'/'.$wallpaper['file'];?>" target="_blank">Download</a>
</div>
<?php } ?>