<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Wallpaper Site Script: New install</title>
<link rel="stylesheet" type="text/css" href="../style.css" />
</head>

<body>
<div class="head2">Wallpaper Site Script: New install</div>
<div class="main2">
<?php
$install = 1;
include('../../config.php');


//////////////////////////////////////////////////////////////////////////////////////////////

$sql = array();
$sql[1] = "CREATE TABLE `wss_adverts` (
  `id` tinyint(5) unsigned NOT NULL AUTO_INCREMENT,
  `ad_name` varchar(40) NOT NULL,
  `ad_content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[2] = "CREATE TABLE `wss_cats` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `cat_order` decimal(5,1) NOT NULL DEFAULT '1.0',
  `description` varchar(255) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `seo_url` text,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[3] = "CREATE TABLE `wss_comments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL,
  `comment` text NOT NULL,
  `link_id` varchar(10) NOT NULL,
  `date` varchar(11) NOT NULL DEFAULT '',
  `ip` char(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[4] = "CREATE TABLE `wss_favourites` (
  `user_id` int(5) NOT NULL,
  `wallpaper_id` int(5) NOT NULL,
  KEY `user_id` (`user_id`),
  KEY `game_id` (`wallpaper_id`)
) ENGINE=MyISAM;";
$sql[5] = "CREATE TABLE `wss_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `url` text NOT NULL,
  `description` text NOT NULL,
  `sitewide` varchar(10) NOT NULL,
  `published` char(1) NOT NULL,
  `inbound` int(11) NOT NULL,
  `outbound` int(11) NOT NULL,
  `submitter` int(11) NOT NULL,
  `submitter_email` varchar(80) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[6] = "CREATE TABLE `wss_messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(5) NOT NULL,
  `sender_id` varchar(5) NOT NULL,
  `sender_name` text NOT NULL,
  `title` text NOT NULL,
  `message` text NOT NULL,
  `date` int(11) NOT NULL,
  `read` int(1) NOT NULL DEFAULT '0',
  `ip` char(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[7] = "CREATE TABLE `wss_news` (
  `id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `user` int(5) NOT NULL,
  `date` int(11) NOT NULL,
  `image` text NOT NULL,
  `seo_url` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[8] = "CREATE TABLE `wss_news_comments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL DEFAULT '',
  `comment` text NOT NULL,
  `link_id` varchar(10) NOT NULL DEFAULT '',
  `date` int(11) NOT NULL,
  `ip` char(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[9] = "CREATE TABLE `wss_pages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `page` text NOT NULL,
  `menu` tinyint(1) NOT NULL,
  `seo_url` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[10] = "CREATE TABLE `wss_ratings` (
  `wallpaper_id` varchar(10) NOT NULL,
  `user_id` varchar(10) NOT NULL,
  `rating` char(1) NOT NULL,
  `ip` char(15) NOT NULL
) ENGINE=MyISAM;";
$sql[11] = "CREATE TABLE `wss_reported` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `report` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `link_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(15) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `type` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[12] = "CREATE TABLE `wss_seonames` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `seo_name` varchar(255) NOT NULL,
  `type` varchar(40) DEFAULT NULL,
  `uses` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[13] = "CREATE TABLE `wss_settings` (
  `name` varchar(20) NOT NULL,
  `value` varchar(240) NOT NULL
) ENGINE=MyISAM;";
$sql[14] = "CREATE TABLE `wss_submissions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `tags` varchar(255) NOT NULL,
  `file` varchar(255) NOT NULL,
  `category` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[15] = "CREATE TABLE `wss_tag_relations` (
  `id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `wallpaper_id` int(5) NOT NULL,
  `tag_id` int(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[16] = "CREATE TABLE `wss_tags` (
  `id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `tag_name` varchar(40) NOT NULL,
  `seo_url` varchar(40) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[17] = "CREATE TABLE `wss_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(200) NOT NULL DEFAULT '',
  `password` varchar(50) NOT NULL DEFAULT '',
  `email` varchar(120) NOT NULL DEFAULT '',
  `activate` char(1) NOT NULL DEFAULT '',
  `about` varchar(200) NOT NULL DEFAULT '',
  `group` varchar(40) NOT NULL DEFAULT '',
  `location` varchar(50) NOT NULL DEFAULT '',
  `interests` text NOT NULL,
  `msn` varchar(40) NOT NULL DEFAULT '',
  `website` varchar(200) NOT NULL DEFAULT '',
  `admin` char(2) NOT NULL DEFAULT '',
  `joined` int(11) NOT NULL,
  `favourites` text NOT NULL,
  `avatar` varchar(25) NOT NULL,
  `ratings` int(5) NOT NULL DEFAULT '0',
  `comments` int(5) NOT NULL DEFAULT '0',
  `messages` int(5) NOT NULL,
  `referrer` tinyint(5) NOT NULL DEFAULT '0',
  `facebook` tinyint(1) NOT NULL DEFAULT '0',
  `facebook_id` bigint(20) NOT NULL DEFAULT '0',
  `lastip` char(15) NOT NULL,
  `last_comment` int(11) NOT NULL,
  `seo_url` text,
  `last_activity` int(11) NOT NULL DEFAULT '0',
  `banned` int(11) NOT NULL DEFAULT '0',
  `last_pm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";
$sql[18] = "CREATE TABLE `wss_usersonline` (
  `session_id` char(40) NOT NULL DEFAULT '',
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL
) ENGINE=MyISAM;";
$sql[19] = "CREATE TABLE `wss_wallpapers` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `file` varchar(255) NOT NULL,
  `category` int(11) NOT NULL,
  `category_parent` int(11) NOT NULL DEFAULT '0',
  `date_added` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `rating` decimal(5,1) NOT NULL,
  `featured` tinyint(4) NOT NULL,
  `advert_id` int(11) NOT NULL,
  `seo_url` varchar(255) NOT NULL,
  `submitter` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `align` varchar(6) NOT NULL DEFAULT 'center',
  `valign` varchar(6) NOT NULL DEFAULT 'middle',
  `downloads` int(11) NOT NULL DEFAULT '0',
  `filename` int(11) NOT NULL DEFAULT '0',
  `display` varchar(11) NOT NULL DEFAULT 'crop',
  `original_width` int(11) NOT NULL DEFAULT '0',
  `original_height` int(11) NOT NULL DEFAULT '0',
  `tags` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;";

for ($i=1; $i<=19; $i++)
{
	$q = mysql_query($sql[$i]);
	if (!$q)
 	{
  		die('Error on sql '.$i.': ' . mysql_error());
  	}
}

echo '<div class="em">Tables successfully created on your database</div>';
include 'new_site_form.php';
?>
</div>
</body>
</html>